function s = concat(s, A),

% CONCAT add two OPTICS systems together    
% by stripping the last index and rpelacing it with the first
% index of the second optical system.
% 
% 

n = 1;
str = get(s.optic{s.total},'type');
if (strcmp(str,'image')) 
    n = 2; 
end

for j=1:A.total,
    s.optic{s.total+j-n} = A.optic{j};
end

s.total = length(s.optic); 
s.current = 1;

return
