function [X,V] = repos(X),

% REPOS reposition the optical prescription 
% starting with the first element at the origin. 
% 
% X = repos(X)
%
% where 
%       X   = the optical 
%

V = get(X.optics{2},'position');

for k=2:2:X.total,
    
    myV = get(X.optics{k},'position');
    X.optics{k} = set(X.optics{k},'position',myV - V);
    
end


return
