function [s, n] = setarg(s, field, value),

% SETARG modify the arguments for the surface.   
% 
% SETARG(s, field, value) return the primitive with modified arguments.  
% Returns the modified structure, with a success indicator n.
 
    n = strcellmatch(field, s.args.name);
    if (n > 0), 
        s.args.value{n} = value;
        return;
    end
    
    error('(SETARG) Unknown field.');
return
