function s = set(s, varargin),

% SET modify the field value of a primitive.  
% 
% SET(s, field, value). Set the field to a particular value. 
%
% SET(s, 'args', field, value). Set the arguments field of the 
% PRIM object.
 
if (nargin == 3),
     s.(varargin{1}) = varargin{2}; 
elseif ((nargin == 4)&(strcmp(varargin{1}, 'args'))) 
     s = setarg(s,varargin{2},varargin{3});
end 
     
return
