function print(s),

% PRINT display contents of the ray object.  
%
% PRINT(s). Pass an ray object. 
%

% 24/11/04 added a return if empty 

if (isempty(s)),
   warning('(PRINT) ray object was empty.');
   return
end

n = size(s.position,1);

k=(1:n)';
fprintf('-------------------------------------------------------------------------------------------------------------------\n');     
fprintf('%8c%c\t%8c%c\t%9c%c\t%9c%c\t%9c%c\t%9c%c\t%8c%c%c\n',[ 'X1' 'X2' 'X3' 'S1' 'S2' 'S3' 'OPL' ]);     
fprintf('-------------------------------------------------------------------------------------------------------------------\n');     
fprintf('%i.\t%-8.6f\t%-8.6f\t%-8.6f\t%-8.6f\t%-8.6f\t%-8.6f\t%-8.6f\n',[ k s.position s.slope s.OPL]');     


return
