function z = getCntrSurf(strFn, x, y, varargin);

% GETCNTRSURF call the correct functions to do the tracing.  Do the 
% tracing on the canonical version of the surface. 
% 
% [r, n] = GETCNTRSURF(strFn, x, y, ...). get the canonical 
% surface.  The rays that fall outside the aperture nAp will be discarded. 
%
%
   z = feval(strFn, x, y, varargin{:});
return
