function h = plan(p, strView),

% PLAN draw the primitive in plan view. 
%
% PLAN(p, strView). p is the primitive and the extra parameter strView is
% 'xz-plane' and 'yz-plane'. NEEDS WORK. NOT IMPLEMENTED.
%

if (nargin < 2),
    strView = 'xz-plane';
end

% default pts
pts = 20; rap = p.aperture;
x0  = linspace(-rap, rap, pts);

switch(strview),    
    case 'xz-plane',
        z = getpts(m, x0, 0);
    case 'yz-plane'
        z = getpts(m, 0, x0);        
    otherwise,
        z = getsurf(m, x0, 0); % default 
end 

% get the points on the surface 
z   = [ x0(:) z(:) ]; z0  = z;
z   = m_rotate2d(z, ang);

switch(strview),
    
    case 'xz-plane',
        z(:, 1) = z(:, 1) + m.position(1);
        z(:, 2) = z(:, 2) + m.position(3);         
        
    case 'yz-plane'
        z(:, 1) = z(:, 1) + m.position(2);
        z(:, 2) = z(:, 2) + m.position(3);         
                
    otherwise,

        % default behaviour 'xz-plane'
        z(:, 1) = z(:, 1) + m.position(1);
        z(:, 2) = z(:, 2) + m.position(3);              
       
end 

% plot it out 
h = line(z(:,1), z(:,2));
hold on; 
h = line(z0(:,1), z0(:,2));

return 
