function r = copy(p, varargin),

% COPY. Copy selected members of p, starting from the 
% jth to the kth ray
%
% Example,
%
% r = copy(r, 1, 3); % copy rays 1 to 3
%

if (nargin > 2),
    n = colon(varargin{:});
else
    n = varargin{1};
end

r = ray(p.position(n,:), p.slope(n,:), p.OPL(n,:), p.index);
end