function plot(s,z),

% PLOT show spot-diagram with option to  
% translate the spot-diagram to a new position.
% 
%   plot(s,z),
%
% where 
%       s = rays object
%       z = shifted axial positon 

% 24/11/04 added a return if empty 

if (nargin == 2),
    s = translate(s,z);
end

plot(s.posn(:,1),s.posn(:,2),'+');
title([ 'axial position = [' num2str(max(s.posn(:,3))) ',' num2str(min(s.posn(:,3)))  '] mm' ]);

return
