 function n=bisect(r,i)

% BISECT bisect the incident (i) ray 
% and exit ray (r) producing the 
% normal unit ray n
%
% BISECT(r,i).  Returns a unit vector that is the 
% bisection of the ray (r) and ray (i). 
%

i = vunit(i); r = vunit(r);
n = 0.5*(i + r);
n = vunit(n);
return
