function dbTrace(varargin), 

% DBTRACE activate debugging for TRACE.
%
%

global glbTrace;

if (~exist('glbTrace')),
    glbTrace = true;
    return
end

if (nargin == 0),
    glbTrace = ~glbTrace;
    return
end

if (nargin == 1),
    switch(varargin{1}),
        case {'on' },
            glbTrace = true;
        case {'off'},
            glbTrace = false;
        otherwise,
            error('(DBTRACE) Unknown invocation.');
    end     
end

return

   