function x = test_cornea(CV, CC),

% TEST_CORNEA conic anterior cornea model for reflection.  
% Here R is the central radius of curvature, and CC is the 
% conic constant.
%
 
if (nargin == 0),
    R  = 7;
    CV = 1/7;
    CC = 0;
end

  x = optic;
  p = prim('index', 'air', 1);
  x = append(x, p); nAp = R;
  p = prim('conic', 'anterior cornea', 'reflect', [0 0 0], [0 0 0], nAp, CV, CC);
  x = append(x,p);  
  p = prim('index','air',1);
  x = append(x,p);
  x = gohead(x); 

return
